Description

A ICD was generated for a Client Only IED. It had an LN defined (e.g. IHMI). The ICD had no definition for IHMI in the
DataTypeTemplate section. Upon import, the file did not validate.

61850-6 has text that specifies that a Client Only IED may define a LN and not have any entry (could not find the text) defining the
LN in the DataTypeTemplate section. However, the XSDs do not allow this

History

#1 - 02/03/2021 03:59 PM - Herbert Falk
- Priority changed from Normal to High

#2 - 02/11/2021 06:20 AM - Carlos Rodriguez del Castillo

- Subject changed from A ICD was generated for a Client Only IED. It had an LN defined (e.g. IHMI). The ICD had no definition for IHMI in the
DataTypeT to ICD file of a client only IED

- Status changed from New to Feedback
- Standard(s) set to IEC 61850-6

- Discuss in Upcoming Meeting set to Yes

Checking done.

#3 - 02/16/2021 03:57 AM - Carlos Rodriguez del Castillo
- Status changed from Feedback to Triage

#4 - 09/28/2021 07:57 AM - Thierry Dufaure

ICD files shall be validated against the schema it is claiming conformance to (i.e. indicated in the SCL header of the file).
The LN SCL element requires a InType attribute, and the schema requires an existing LNodeType in the DataTypeTemplate for every declared
InType. Therefore there is no other option for a pure client to add an SCL valid LNodeType in the DataTypeTemplate.

#5 - 03/15/2022 09:43 AM - Carlos Rodriguez del Castillo
- Status changed from Triage to Closed
- Discuss in Upcoming Meeting changed from Yes to No

- To discuss in WG10 set to No
